#ifndef error_H
#define error_H

#ifdef __cplusplus
extern "C" {
#endif

#define ZBOX_ERR_REFOVERFLOW -1000
#define ZBOX_ERR_REFUNDERFLOW -1001

#define ZBOX_ERR_INITCRYPTO -1010
#define ZBOX_ERR_NOAESHARDWARE -1011
#define ZBOX_ERR_HASHING -1012
#define ZBOX_ERR_INVALIDCOST -1013
#define ZBOX_ERR_INVALIDCIPHER -1014
#define ZBOX_ERR_ENCRYPT -1015
#define ZBOX_ERR_DECRYPT -1016

#define ZBOX_ERR_INVALIDURI -1020
#define ZBOX_ERR_INVALIDSUPERBLK -1021
#define ZBOX_ERR_CORRUPTED -1022
#define ZBOX_ERR_OPENED -1023
#define ZBOX_ERR_WRONGVERSION -1024
#define ZBOX_ERR_NOENTITY -1025

#define ZBOX_ERR_INTRANS -1030
#define ZBOX_ERR_NOTINTRANS -1031
#define ZBOX_ERR_NOTRANS -1032
#define ZBOX_ERR_UNCOMPLETED -1033
#define ZBOX_ERR_INUSE -1034

#define ZBOX_ERR_NOCONTENT -1040

#define ZBOX_ERR_INVALIDARGUMENT -1050
#define ZBOX_ERR_INVALIDPATH -1051
#define ZBOX_ERR_NOTFOUND -1052
#define ZBOX_ERR_ALREADYEXISTS -1053
#define ZBOX_ERR_ISROOT -1054
#define ZBOX_ERR_ISDIR -1055
#define ZBOX_ERR_ISFILE -1056
#define ZBOX_ERR_NOTDIR -1057
#define ZBOX_ERR_NOTFILE -1058
#define ZBOX_ERR_NOTEMPTY -1059
#define ZBOX_ERR_NOVERSION -1060

#define ZBOX_ERR_READONLY -1070
#define ZBOX_ERR_CANNOTREAD -1071
#define ZBOX_ERR_CANNOTWRITE -1072
#define ZBOX_ERR_NOTWRITE -1073
#define ZBOX_ERR_NOTFINISH -1074
#define ZBOX_ERR_CLOSED -1075

#define ZBOX_ERR_ENCODE -2000
#define ZBOX_ERR_DECODE -2010
#define ZBOX_ERR_VAR -2020
#define ZBOX_ERR_IO -2030

#ifdef __cplusplus
}
#endif

#endif
